#BEGIN COPYRIGHT
#*************************************************************************
#
# Licensed Materials - Property of IBM
# 5725-C94, 5724-I82
# (C) Copyright IBM Corporation 2011, 2012. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
#*************************************************************************
#END COPYRIGHT

import os.path, re
from java.lang import System

execfile(os.path.join(System.getProperty("was.install.root"), "BPM/base/profile/actions/scripts/updateServerPolicy.py"))

# ------------------------------------------------------------------------
# Update the server.policy file for the given profile with BPM permissions
# ------------------------------------------------------------------------
def updateServerPolicyForCore(profileRoot):
  allPermissions = ['java.security.AllPermission']
  neededPermissions = {}
  neededPermissions.update( { 'file:${user.install.root}/wstemp/appmgmt/mbean/-': allPermissions[:] } )
  updateServerPolicyFile(profileRoot, "Needed by EIS bindings app install", neededPermissions)
#enddef

profileRoot = System.getProperty("user.install.root")

if not globals().has_key("framework"):
  # wbicore profile augmentation
  updateServerPolicyForCore(profileRoot)
else:
  # profile upgrade - check if we are called for a default.wbicore or dmgr.wbicore profile
  # ignore co-located managed profiles here, because we don't need to update managed.wbicore
  from com.ibm.wbicore.migration.common import ProfileHelper
  profile = ProfileHelper.getProfileByLocation(System.getProperty("was.install.root"), profileRoot)
  isWESBOrBPMAdv = 0
  for template in profile.getTemplates():
    if template.endswith("default.wbicore") or template.endswith("dmgr.wbicore"):
      isWESBOrBPMAdv = 1
      break
    #endif
  #endfor
  if not isWESBOrBPMAdv:
    framework.log("info", "updateServerPolicyForCore.py", "main", "Not a WESB or BPM Advanced profile, skipping server.policy update")
  else:
    serverPolicy = os.path.join(profileRoot, "properties/server.policy")
    log("info", "updateServerPolicyForCore", "Updating " + serverPolicy + ".")
    file = open(serverPolicy, "r")
    content = file.read()
    file.close()
    pattern = r'file:\${user\.install\.root}/wstemp/wstemp/-'
    replacement = r'file:${user.install.root}/wstemp/appmgmt/mbean/-' 
    (content, updated) = re.subn(pattern, replacement, content)
    if updated:
      log("debug", "updateServerPolicyForCore", "  Replacing " + pattern + " by " + replacement + " in " + serverPolicy + ".")
      file = open(serverPolicy, "w")
      file.write(content)
      file.close()
    #endif
    updateServerPolicyForCore(profileRoot)
  #endif
#endif
