# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# Copyright IBM Corporation 2008,2009. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT
from java.lang import System
from com.ibm.wsspi.scripting import ScriptingExtensionHelper
import sys
import re
import sre

#--------------------------------------------------------------------------
# Procedure to define the regexp operation
#--------------------------------------------------------------------------	
def regexp(pattern, string, flags=0):
    if(re.compile(pattern, flags).search(string)==None): return 0
    else: return 1
#endDef

#*******************************************************************************************************
# Procedure to query the connection status of the admin client ('CONNECTED', 'DISCONNECTED', or 'ERROR')
#*******************************************************************************************************
def getConnectionStatus ():
    global connectionStatus
    connectionStatus = "UNKNOWN"
    if not ScriptingExtensionHelper.getCurrentScriptingConfigService():
      connectionStatus = "ERROR"
    elif not ScriptingExtensionHelper.getCurrentScriptingAdminClient():
      connectionStatus = "DISCONNECTED"
    else:
      connectionStatus = "CONNECTED"
    #endif
    return connectionStatus
#endDef 

#------------------------------------------------------------------------------
# Main entry point
#------------------------------------------------------------------------------
infoPrefix = "SCAModule.Migration.INFO: "
errorPrefix = "SCAModule.Migration.ERROR: "
print infoPrefix + "SCAModule Migration started"
connectionStatus = getConnectionStatus()

if (connectionStatus == 'ERROR'):
	print errorPrefix + "Required connection could not be established, aborting. Please run the script in the connected mode"
else:
	try:
		AdminTask.V62SCAMigration()
	except:
		print errorPrefix + "Error happened when call the AdminTask: V62SCAMigration"
	AdminConfig.save()
	print infoPrefix + "SCA module migration ended"
